<template>
  <div class="field">
    <label :for="label"><slot /></label>
    <input
      v-if="controlType === 'input'"
      :id="label"
      v-bind="$attrs"
      :value="value"
      @input="$emit('input', $event.target.value)"
    />
    <textarea
      v-if="controlType === 'textarea'"
      :id="label"
      rows="10"
      v-bind="$attrs"
      :value="value"
      @input="$emit('input', $event.target.value)"
    />
  </div>
</template>
<script>
export default {
  props: {
    value: {
      type: String,
      default: '',
    },
    label: {
      type: String,
      default: '',
    },
    controlType: {
      type: String,
      default: 'input',
    },
  },
}
</script>
<style scoped>
.field {
  margin: 10px;
}
.field input,
.field textarea {
  width: 90%;
  display: block;
  margin-top: 5px;
}
</style>
